#! /usr/bin/env python

import copy
import torrenttracker

class TrackerManager:
    trackers = []
    next_trackers = []
    def __init__(self, trackers):
        self.trackers = trackers

    def start(self):
        for tracker in self.trackers:
            tracker.start()

    def resetNextTrackers(self):
        self.next_trackers = copy.copy(self.tracker)

    def getNextTracker(self):
        if not any(self.next_trackers):
            self.resetNextTrackers()
        minTracker = self.next_trackers[0]
        for tracker in self.next_trackers:
            if tracker.getInterval() < minTracker.getInterval():
                minTracker = tracker
        return minTracker

    def updateNextTracker(self):
        tracker = self.getNextTracker()
        tracker.interval(0, 0, 0)
        self.next_trackers.remove(tracker)
